#include "GuiTools.h"

VoidPtr FrmGetObjectPtrById(FormPtr frm, Int objectID)
{
    return(FrmGetObjectPtr(frm, FrmGetObjectIndex(frm, objectID)));
}

void FrmSetFocusById(FormPtr frm, Int objectID)
{
    FrmSetFocus(frm, FrmGetObjectIndex(frm, objectID));
}

void SetText(FieldPtr fieldPtr, CharPtr text)
{
    VoidHand textH;
    CharPtr textP;

    if (text == NULL) text = "";
    textH = MemHandleNew(StrLen(text)+1);
    if (textH == NULL) return;
    textP = MemHandleLock(textH);
    StrCopy(textP, text);
    MemHandleUnlock(textH);
    FldSetTextHandle(fieldPtr, (Handle)textH);
}

CharPtr GetText(FieldPtr fieldPtr)
{
    // Allocates new memory!
    //
    VoidHand textH;
    CharPtr textP, result;

    textH = (VoidHand)FldGetTextHandle(fieldPtr);
    if (textH == NULL) return NULL;
    textP = MemHandleLock(textH);
    result = (CharPtr)MemPtrNew(StrLen(textP)+1);
    StrCopy(result, textP);
    MemHandleUnlock(textH);
    return result;
}

